• Vítejte na XBMC-Kodi.cz
  • Česko-slovenská komunita fanoušků XBMC/Kodi
Vítejte návštevníku! Přihlášení Registrace


Hodnocení tématu:
  • 0 Hlas(ů) - 0 Průměr
  • 1
  • 2
  • 3
  • 4
  • 5
LibreELEC (Leia) 9.0.2 MR
#1
Information 
LibreELEC (Leia) 9.0.2 MR
[Obrázek: masthead_wordpress.png]
Citace:
LibreELEC 9.0.2 (Leia) has arrived based upon Kodi v18.2, the 9.0.2 release contains many changes and refinements to user experience and a complete overhaul of the underlying OS core to improve stability and extend hardware support. Kodi v18 also brings new features like Kodi Retroplayer and DRM support that (equipped with an appropriate add-on) allows Kodi to unofficially stream content from services like Netflix and Amazon.


Changes since LibreELEC 9.0.1:
  • updated Kodi to 18.2
  • updated Kernel to 4.19.36
  • fixed TBS 5520SE tuning
  • fixed Zotac remotes
  • fixed pvr.hts (Tvheadend) timeshift (partly)
Settings Add-on:

Changeable SSH passwords and a default firewall configuration have been added to combat the increasing number of HTPC installs that can be found on the public internet. The increase is partly due to simple maths; our userbase has grown so the number of users inappropriately exposing their HTPC to the internet has also grown. The static password for libreelec is present on most/all password dictionary lists so it’s important we start encouraging users to change it (the first-run wizard will prompt when SSH is enabled).

More people are using VPN services for privacy without realising this exposes SSH/SMB/Web services. To combat this problem we have added simple firewall configurations for Home/Public networks; the Home configuration blocks inbound connections from non-private networks, e.g. traffic from the Internet to the public IP address used with the VPN connection. 

As the Kodi piracy scene continues to decline we have seen an increase in users with outdated add-ons that cause problems during upgrades so “Safe Mode” counts Kodi startup crashes. After five startup failures it intervenes with a default (clean) configuration and prominent warning so users know there is a problem – but still have a working GUI to troubleshoot from.



Retroplayer:

Kodi v18 brings initial support for retro gaming and the ability to play hundreds of retro games directly from within Kodi. We provide a large number of emulator cores from our add-on repo, but no games (bring your own) although there are a couple of open source test game add-ons (2048 etc.) in our repo. In this first iteration of Kodi retro gaming support the user interface can be a little confusing and we still need to write-up some HOWTO guides for the wiki. Kodi developers are working on a game database (for Kodi v19) which will make the process of managing and using game ROMs easier in the future.

DVB Drivers:

We now offer a larger range of DVB drivers (depending on your platform) to choose from. The “DVB drivers from the latest kernel” option also includes the majority of Hauppage drivers which have been recently upstreamed into the kernel, which is great to see!


Rockchip:

Despite the 8.95.15 release number our Rockchip releases remain in an Alpha state with limited support. The Kodi version is updated but there are no significant video/audio improvements to the Rockchip 4.4 kernel codebase – and none planned. Our work on Rockchip support has refocussed onto the Linux 4.20 kernel to use the modern kernel frameworks needed for the next-generation Kodi video pipeline. This work is progressing nicely, but it means the 4.4 codebase “is what it is” until a future kernel bump.

New Devices:

Amlogic
  • Khadas VIM(1) – requires a clean install if using current community images
  • Libre Computer LePotato
Rockchip
  • 96rocks ROCK960
  • ASUS Tinker Board
  • Firefly ROC-RK3328-CC
  • Khadas Edge
  • PINE64 ROCK64
  • PINE64 RockPro64
  • Popcorn Hour RockBox
  • Popcorn Hour Transformer
  • Radxa ROCK Pi 4
  • Rockchip Sapphire Board
  • Mqmaker MiQi
If you experience problems, please open an thread at our forum. You can also open an ticket at our issue tracker.

Upgrading

On first boot the Kodi media database will be upgraded. Depending on your hardware and media collection size this could take several minutes. Please be patient.

Downloads

Click here to go to the download page.
S905X 2/3 → CE 20 \ RPi4 → LE 19 \ HTPCLE 18 \ NAS Synology 212JDSM 6.x \ Vero 4K+ → OSMC 19
 
Citovat
#2
Jsem zvědavý na reakce těch, co tuto novou verzi vyzkouší. Já jsem před dvěmi dny updatoval z KODI 17 na 18.1 (LibreELEC 9.0.1 MR) a celý se to nějak sesypalo a aktuálně nemám čas to řešit, takže až se k tomu zase někdy dostanu, tak snad už to bude stabilnější.
 
Citovat
#3
Normálně funguje.....
2xRPI3,LibreELEC 9.2,Sandisk 32Gb,Sony Android TV
 
Citovat
#4
Aktualizováno na všech RPi → funkční, bez potíží .....
S905X 2/3 → CE 20 \ RPi4 → LE 19 \ HTPCLE 18 \ NAS Synology 212JDSM 6.x \ Vero 4K+ → OSMC 19
 
Citovat
#5
aktualizace taky bez problému.
X96max plus 4/32 + CE 20 final + skin - upravený Confluence / TV Samsung QE55Q6FNA
AVR Denon 1600H / Dali Spektor 5.1
Win10pro + Kodi19.2 Matrix
NAS Synology 215j 3TB Raid1
Router Turris 1.1
 
Citovat
#6
Takže už tam nejsou ty u předchozí verze avizované problémy s rozlišením obrazovky, TV headendem a další? Já když jsem tam dal verzi 9.0.1MR, tak to na mě vysypalo seznam doplňků, které jsou nefunkční, samovolně se to přepnulo na nějaký malý rozlišení (asi VGA) a ani skin (Aeon Madnox) nefunguje.   Z tohoto důvodu právě zvažuju, co s tím dále, jestli se raději vrátit zpět do funkčního stavu ve staré verzi nebo riskovat nefunkčnost s novou.
 
Citovat
#7
Jak jsem již několikrát zde na fóru psal, pokud přecházím z nižší verze systému na vyšší, vždy vše instaluji "na čisto". Věřím, že takto případné problémy eliminuji již v počátku a minimálně vyloučím chyby díky "kolizi" starých nul a jedniček s jejich nástupci .... Tento postup se mi doposud vyplácí a ještě se mi u "ne-alfa" systému nestalo, že by byl nepoužitelný takovým způsobem, kdy by nastala nutnost návratu zpět k jeho předchozí verzi ...
Samozřejmě můj výše uvedený názor a praktiky nejsou univerzální, nemohu tušit co kdo má doma za HW, připojené periferie, způsoby instalace či konektivitu ...
S905X 2/3 → CE 20 \ RPi4 → LE 19 \ HTPCLE 18 \ NAS Synology 212JDSM 6.x \ Vero 4K+ → OSMC 19
 
Citovat
#8
@Radek_Kovacik Měl bys tady přestat šířit ty nesmyslné poplašné zprávy a vyjádření jako "aušus" apod. Z tvých kusých informací je více než zřejmé, že chyba nebude na straně LE, ale zcela jinde. Kdybys měl skutečně zájem a snahu to řešit, už dávno jsi ty problémy popsal tak, jak se má, a jistě by ti to někdo rád vysvětlil. Ale ono postupovat podle zásad fóra a doporučení, kterých je tu více než dost, je moc práce. To je lepší raději nadávat na to, jak je ta nová verze špatná...

Jen příklad. Jestliže ti skin nefunguje správně s novou a oficiální verzí LE, bude chyba z 99% na straně skinu, respektive jeho verze. A jestli ti to po upgrade na novou verzi LE vypsalo seznam doplňků, které jsou nefunkční, je to opět problém těch doplňků, případně tvůj, že nedokážeš provést jejich aktualizaci. Jestli je něco aušus, tak LE to rozhodně není. Hledej jinde, není to až tak daleko...
 
Citovat
#9
RossiD: Když to nainstaluješ na čisto, pak provedeš obnovu ze zálohy nebo všechno znovu ručně nastavuješ a prohledáváš všechny zdroje médií?

Client: Kdyby to byly jen poplašné zprávy, byla by to ta lepší varianta, bohužel je to holá skutečnost. Ale uznávám, že to bylo z  mé strany asi hodně naivní myslet si, že když provedu aktualizaci o celou jednu verzi Kodi klasicky z menu Systém => aktualizace, že to bude bez problémů fungovat.
Co se týká doplňků, očekával jsem, že se zaktualizují automaticky spolu s instalací KODI nebo alespoň po jeho startu, protože povolené to tam mám, ovšem to se nestalo.
 
Citovat
#10
Vše provádím "nově", imho zdrojem médií je u mne pouze NAS + zdrojem TV je STB / Enigma2 Client ....
S905X 2/3 → CE 20 \ RPi4 → LE 19 \ HTPCLE 18 \ NAS Synology 212JDSM 6.x \ Vero 4K+ → OSMC 19
 
Citovat
#11
@Radek_Kovacik Jde o to, které addon a z kterého repozitáře se ti neaktualizovaly. Ne všechny addon a repozitáře jsou natolik konzistentní, aby aktualizace proběhla řádně. A pokud máš doplňky, které nejsou instalovány z repozitáře, tak ty se samozřejmě aktualizovat ani automaticky nebudou. Pak také samozřejmě existují addon, které se už z logiky věci ani aktualizovat nemohou a musíš to, při změně verzí, zejména některých modulů jádra Kodi (což se děje nejčastěji při změně master verze), provést ručně. Neprovedení aktualizace tedy není chyba Kodi a jde většinou ruku v ruce s tím, jak jsou autoři addons nebo repozitářů schopni a ochotni dodržovat pravidla a také, jak jsou připraveni na přechod na novou verzi.

Z tvých vyjádření plyne, že ti prostě chybí znalosti. Tím spíše by ses měl zdržet hodnocení, zejména pak takového, jaké jsi tu předvedl. A tím spíše by ses měl zamyslet nad sebou. Kodi si nechá líbit mnohé. Pokud se někdo k němu chová nezodpovědně, instaluje si kdejaký "šmejd", tak se to při běžném provozu často nepozná. Prubířským kamenem pak bývá až aktualizace a úplně největším pak přechod na novou master verzi. Tam se vždycky ukáže pravda. Tak jako to bylo patrně i v tvém případě.

A jen na okraj. Patřím k těm, kteří vyznávají průběžnou aktualizaci Kodi. Na rozdíl od skupiny jiných zde na fóru, ke které patří např. @Rossi D, kteří při přechodu na novou master verzi zásadně instalují z čistého stolu. Nic proti nim, je to prostě jejich cesta, já mám zase tu svoji. Každá má své výhody i nevýhody. Já průběžně aktualizuji Kodi (nejdříve OpenELEC a pak přes něj LibreELEC) už několik let. Takže úplně stejně, jako vždycky před tím, jsem aktualizoval i LibreELEC mezi verzí Kodi 17 (LE 8.x) a 18 (LE 9.x). A proběhlo to, stejně jako kdykoliv před tím, bez sebemenších problémů.
 
Citovat
#12
Ten LibreELEC (Leia) 9.0.2 MR si musí odzkoušet každý sám na svém zařízení aby poznal jak je  kvalitní ... 4
 Odroid C2\→ CE 9.0.2 + Tvheadend 4.2  \ NAS Synology\ HTPC\ S905X3→ CE 20\
 
Citovat
#13
Chystám se aktualizovat LE 8.2.5 KODI 17 na rpi3. Je vhodné aktualizovat tak že nakopíruju obraz LE do složky UPDATE? Nejsou s tím nějaké problémy a nebo je vhodnější provést čistou instalaci? Moc doplňků nemám, RPI mám víceméně jen na SC... , youtube. Používám multiloader PINN. Dík
 
Citovat
#14
Pokud chceš udělat update o verzi výše,tak doporučuji čistou instalaci.
Jde to i tak jak píšeš,tedy vložením do složky update.
Rozhodni se sám.
2xRPI3,LibreELEC 9.2,Sandisk 32Gb,Sony Android TV
 
Citovat
  


Přejít na fórum:


Prochází: 1 host(ů)